> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Repair a connection

> A Service Provider's connection to the institution may sometimes degrade or new financial account(s) may be discovered for the connection. In order to fix the connection or add these newly discovered account(s), the customer must reconnect. This endpoint generates a new connect token for the connection to enable this reconnection process. This connect token can be used to invoke a new bank linking flow where the user can enter the service provider's UI to fix the connection



## OpenAPI

````yaml /openapi/banklinking-20260203.json post /bank-linking/connect/repair
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/connect/repair:
    post:
      tags:
        - Connect
      summary: Repair a connection
      description: >-
        A Service Provider's connection to the institution may sometimes degrade
        or new financial account(s) may be discovered for the connection. In
        order to fix the connection or add these newly discovered account(s),
        the customer must reconnect. This endpoint generates a new connect token
        for the connection to enable this reconnection process. This connect
        token can be used to invoke a new bank linking flow where the user can
        enter the service provider's UI to fix the connection
      operationId: bank-linking-connect-repair
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectRepairRequest'
        required: true
      responses:
        '201':
          description: Generated new connect token for repairing this connection
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ConnectRepairResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ConnectRepairRequest:
      type: object
      properties:
        connectionId:
          type: string
          description: The id of the connection in need of repair
    ConnectRepairResponse:
      type: object
      properties:
        connectToken:
          type: string
          description: >-
            Connect token needed to invoke the repair widget. This will prompt
            the user to enter the associated service provider's UI to fix the
            connection.
        id:
          type: string
          description: Id of the broken connection in need of repair.
        institutionId:
          type: string
          description: >-
            The institution id of the connection to repair. The customer will
            not need to select an institution again in the picker, but will
            instead be directed immediately to repair the connection with this
            institution.
        widgetUrl:
          type: string
          description: Widget url to go through the repair flow
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````